| helics 3.6.1

Functions
filter functions

## Functions
void | helicsFilterAddDeliveryEndpoint (HelicsFilter filt, const char *deliveryEndpoint, HelicsError *err)
void | helicsFilterRemoveTarget (HelicsFilter filt, const char *target, HelicsError *err)
void | helicsFilterRemoveDeliveryEndpoint (HelicsFilter filt, const char *deliveryEndpoint, HelicsError *err)
const char * | helicsFilterGetInfo (HelicsFilter filt)
void | helicsFilterSetInfo (HelicsFilter filt, const char *info, HelicsError *err)
const char * | helicsFilterGetTag (HelicsFilter filt, const char *tagname)
void | helicsFilterSetTag (HelicsFilter filt, const char *tagname, const char *tagvalue, HelicsError *err)
void | helicsFilterSetOption (HelicsFilter filt, int option, int value, HelicsError *err)
int | helicsFilterGetOption (HelicsFilter filt, int option)
void | helicsTranslatorRemoveTarget (HelicsTranslator trans, const char *target, HelicsError *err)
const char * | helicsTranslatorGetInfo (HelicsTranslator trans)
void | helicsTranslatorSetInfo (HelicsTranslator trans, const char *info, HelicsError *err)
const char * | helicsTranslatorGetTag (HelicsTranslator trans, const char *tagname)
void | helicsTranslatorSetTag (HelicsTranslator trans, const char *tagname, const char *tagvalue, HelicsError *err)
void | helicsTranslatorSetOption (HelicsTranslator trans, int option, int value, HelicsError *err)
int | helicsTranslatorGetOption (HelicsTranslator trans, int option)

## Detailed Description

Functions that manipulate cloning filters in some way.

Functions that manipulate cloning translators in some way.

## Function Documentation

## ◆ helicsFilterAddDeliveryEndpoint()

void helicsFilterAddDeliveryEndpoint | ( | HelicsFilter | filt,
|  | const char * | deliveryEndpoint,
|  | HelicsError * | err
| ) |  |

Add a delivery endpoint to a cloning filter.

All cloned messages are sent to the delivery address(es).

Parameters

  | filt | The given filter.
  | deliveryEndpoint | The name of the endpoint to deliver messages to.
  [in,out] | err | A pointer to an error object for catching errors.

Referenced by helicscpp::CloningFilter::addDeliveryEndpoint().

## ◆ helicsFilterGetInfo()

const char* helicsFilterGetInfo | ( | HelicsFilter | filt | ) |

Get the data in the info field of a filter.

Parameters

  filt | The given filter.

Returns
  A string with the info field string.

Referenced by helicscpp::Filter::getInfo().

## ◆ helicsFilterGetOption()

int helicsFilterGetOption | ( | HelicsFilter | filt,
|  | int | option
| ) |  |

Get a handle option for the filter.

Parameters

  filt | The given filter to query.
  option | The option to query /ref helics_handle_options.

References HELICS_FALSE.

## ◆ helicsFilterGetTag()

const char* helicsFilterGetTag | ( | HelicsFilter | filt,
|  | const char * | tagname
| ) |  |

Get the data in a specified tag of a filter.

Parameters

  filt | The filter to query.
  tagname | The name of the tag to query.

Returns
  A string with the tag data.

Referenced by helicscpp::Filter::getTag().

## ◆ helicsFilterRemoveDeliveryEndpoint()

void helicsFilterRemoveDeliveryEndpoint | ( | HelicsFilter | filt,
|  | const char * | deliveryEndpoint,
|  | HelicsError * | err
| ) |  |

Remove a delivery destination from a cloning filter.

Parameters

  | filt | The given filter (must be a cloning filter).
  | deliveryEndpoint | A string with the delivery endpoint to remove.
  [in,out] | err | A pointer to an error object for catching errors.

Referenced by helicscpp::CloningFilter::removeDeliveryEndpoint().

## ◆ helicsFilterRemoveTarget()

void helicsFilterRemoveTarget | ( | HelicsFilter | filt,
|  | const char * | target,
|  | HelicsError * | err
| ) |  |

Remove a destination target from a filter.

Parameters

  | filt | The given filter.
  | target | The named endpoint to remove as a target.
  [in,out] | err | A pointer to an error object for catching errors.

References helics::Interface::removeTarget().

Referenced by helicscpp::Filter::removeTarget().

## ◆ helicsFilterSetInfo()

void helicsFilterSetInfo | ( | HelicsFilter | filt,
|  | const char * | info,
|  | HelicsError * | err
| ) |  |

Set the data in the info field for a filter.

Parameters

  | filt | The given filter.
  | info | The string to set.
  [in,out] | err | An error object to fill out in case of an error.

Referenced by helicscpp::Filter::setInfo().

## ◆ helicsFilterSetOption()

void helicsFilterSetOption | ( | HelicsFilter | filt,
|  | int | option,
|  | int | value,
|  | HelicsError * | err
| ) |  |

Set an option value for a filter.

Parameters

  | filt | The given filter.
  | option | The option to set /ref helics_handle_options.
  | value | The value of the option commonly 0 for false 1 for true.
  [in,out] | err | An error object to fill out in case of an error.

## ◆ helicsFilterSetTag()

void helicsFilterSetTag | ( | HelicsFilter | filt,
|  | const char * | tagname,
|  | const char * | tagvalue,
|  | HelicsError * | err
| ) |  |

Set the data in a specific tag for a filter.

Parameters

  | filt | The filter object to set the tag for.
  | tagname | The string to set.
  | tagvalue | the string value to associate with a tag.
  [in,out] | err | An error object to fill out in case of an error.

Referenced by helicscpp::Filter::setTag().

## ◆ helicsTranslatorGetInfo()

const char* helicsTranslatorGetInfo | ( | HelicsTranslator | trans | ) |

Get the data in the info field of a translator.

Parameters

  trans | The given translator.

Returns
  A string with the info field string.

Referenced by helicscpp::Translator::getInfo().

## ◆ helicsTranslatorGetOption()

int helicsTranslatorGetOption | ( | HelicsTranslator | trans,
|  | int | option
| ) |  |

Get a handle option for the translator.

Parameters

  trans | The given translator to query.
  option | The option to query /ref helics_handle_options.

References HELICS_FALSE.

## ◆ helicsTranslatorGetTag()

const char* helicsTranslatorGetTag | ( | HelicsTranslator | trans,
|  | const char * | tagname
| ) |  |

Get the data in a specified tag of a translator.

Parameters

  trans | The translator to query.
  tagname | The name of the tag to query.

Returns
  A string with the tag data.

Referenced by helicscpp::Translator::getTag().

## ◆ helicsTranslatorRemoveTarget()

void helicsTranslatorRemoveTarget | ( | HelicsTranslator | trans,
|  | const char * | target,
|  | HelicsError * | err
| ) |  |

Remove a target from a translator.

Parameters

  | trans | The given translator.
  | target | The name of the interface to remove as a target.
  [in,out] | err | A pointer to an error object for catching errors.

References helics::Interface::removeTarget().

Referenced by helicscpp::Translator::removeTarget().

## ◆ helicsTranslatorSetInfo()

void helicsTranslatorSetInfo | ( | HelicsTranslator | trans,
|  | const char * | info,
|  | HelicsError * | err
| ) |  |

Set the data in the info field for a translator.

Parameters

  | trans | The given translator.
  | info | The string to set.
  [in,out] | err | An error object to fill out in case of an error.

Referenced by helicscpp::Translator::setInfo().

## ◆ helicsTranslatorSetOption()

void helicsTranslatorSetOption | ( | HelicsTranslator | trans,
|  | int | option,
|  | int | value,
|  | HelicsError * | err
| ) |  |

Set an option value for a translator.

Parameters

  | trans | The given translator.
  | option | The option to set /ref helics_handle_options.
  | value | The value of the option, commonly 0 for false or 1 for true.
  [in,out] | err | An error object to fill out in case of an error.

## ◆ helicsTranslatorSetTag()

void helicsTranslatorSetTag | ( | HelicsTranslator | trans,
|  | const char * | tagname,
|  | const char * | tagvalue,
|  | HelicsError * | err
| ) |  |

Set the data in a specific tag for a translator.

Parameters

  | trans | The translator object to set the tag for.
  | tagname | The string to set.
  | tagvalue | The string value to associate with a tag.
  [in,out] | err | An error object to fill out in case of an error.

Referenced by helicscpp::Translator::setTag().